library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.numeric_std.ALL;

entity shift_operators is
end shift_operators;
architecture Behavioral of shift_operators is
signal operand : unsigned(7 downto 0) := "11100110"; 
signal SLL_result, SLA_result, 
		 SRL_result, SRA_result,
		 ROL_result, ROR_reslut : unsigned(7 downto 0);
begin
	
	SLL_result <= operand sll 1;
--	SLA_result <= operand sla -2;
	SRL_result <= operand srl 5; 
--	SRA_result <= operand sra 4;
	ROL_result <= operand rol -3; 
	ROR_reslut <= operand ror 2;
	
end Behavioral;

